#ifndef __SPI_DEMO_H__
#define __SPI_DEMO_H__
#include "sspi.h"
#include "gpio.h"
#include "dma.h"
#include "isr.h"
void spi00_interrupt(void *msg);
void spi10_interrupt(void *msg);
void spi11_interrupt(void *msg);
void spi20_interrupt(void *msg);
void spi21_interrupt(void *msg);
int8_t Spi00_Init(void);
int8_t Spi10_Init(void);
int8_t Spi11_Init(void);
int8_t Spi20_Init(void);
int8_t Spi21_Init(void);

void Spi11_Dma_TxRx(uint8_t *tx_buf, uint16_t tx_num, uint8_t *rx_buf, uint16_t rx_num);
void Spi11_Int_Write(uint8_t *tx_buf, uint16_t tx_num);
void Spi11_Int_Read(uint8_t *rx_buf, uint16_t rx_num);
void Spi11_Int_TxRx(uint8_t *tx_buf, uint16_t tx_num, uint8_t *rx_buf, uint16_t rx_num);

void Spi11_Dma_Write(uint8_t *tx_buf, uint16_t tx_num);
void Spi11_Dma_Read(uint8_t *rx_buf, uint16_t rx_num);
#endif
