#ifndef __SPI_DEMO_H__
#define __SPI_DEMO_H__
#include "spi.h"
#include "common.h"
#include "gpio.h"
#include "dma.h"
void spi00_interrupt(void *msg);
void spi10_interrupt(void *msg);
void spi11_interrupt(void *msg);
void spi20_interrupt(void *msg);
void spi21_interrupt(void *msg);
int Spi00_Init(void);
int Spi10_Init(void);

void Spi_Int_Write(SCIAFSelect_TypeDef func, uint8_t *tx_buf, uint16_t tx_num);
void Spi_Int_Read(SCIAFSelect_TypeDef func, uint8_t *rx_buf, uint16_t rx_num);
void Spi_Dma_Write(SCIAFSelect_TypeDef func, uint8_t *tx_buf, uint16_t tx_num);
void Spi_Dma_Read(SCIAFSelect_TypeDef func, uint8_t *rx_buf, uint16_t rx_num);
#endif
