#include "epwm_demo.h"


/***********************************************************************************************************************
* Function Name: Epwm_init
* @brief  epwm used to control timer40 PWM output
* @param
* @return
***********************************************************************************************************************/
void Epwm_Init(void)
{
    EPWM_InitTypeDef EPWM_InitStructure;
    GPIO_InitTypeDef GPIO_InitStruct;


    /*EPWM CHANNEL0 CONFIG*/
    GPIO_InitStruct.GPIO_Pin    = GPIO_Pin_0;
    GPIO_InitStruct.GPIO_Mode   = GPIO_Mode_OUT;
    GPIO_InitStruct.GPIO_Level  = GPIO_Level_LOW;
    GPIO_InitStruct.GPIO_OType  = GPIO_OType_PP;
    GPIO_InitStruct.GPIO_Ctrl   = GPIO_Control_DIG;
    GPIO_Init(GPIO_PORT1, &GPIO_InitStruct);

    /*EPWM CHANNEL1 CONFIG*/
    GPIO_InitStruct.GPIO_Pin    = GPIO_Pin_1 ;
    GPIO_InitStruct.GPIO_Mode   = GPIO_Mode_OUT;
    GPIO_InitStruct.GPIO_Level  = GPIO_Level_LOW;
    GPIO_InitStruct.GPIO_OType  = GPIO_OType_PP;
    GPIO_InitStruct.GPIO_Ctrl   = GPIO_Control_DIG;
    GPIO_Init(GPIO_PORT1, &GPIO_InitStruct);

    EPWM_InitStructure.EPWM_Channel = EPWM_CHAN_0 | EPWM_CHAN_1;
    EPWM_InitStructure.EPWM_Source  = EPWM_SRC_TO01(EPWM_CHAN_0) | EPWM_SRC_TO01(EPWM_CHAN_1); //ѡʱԴͨ0ѡTO01ͨ1ѡTO01
    EPWM_InitStructure.EPWM_OutPhase = EPWM_OutPhase_Normal(EPWM_CHAN_0) | EPWM_OutPhase_Reverse(EPWM_CHAN_1); //ͨ0 ͨ1

    EPWM_Init(&EPWM_InitStructure);
}